import vl from 'vega-lite-api';
export const viz = vl
  .markCircle({
    size: 200,
    opacity: 1,
    color: 'black'
  })
  .encode(
    vl
      .x()
      .fieldQ('displacement')
      .scale({ zero: false }),
    vl
      .y()
      .fieldQ('horsepower')
      .scale({ zero: false }),
    vl.color().fieldO('origin'),
    vl
      .size()
      .fieldQ('weight')
      .scale({ range: [0, 500] }),
    vl.tooltip().fieldN('origin')
  );
